
#include "FreeRTOS.h"
#include "task.h"
#include <stdbool.h>

 #include "led.h"


// Declaration of functions
int main(void);

static volatile TaskHandle_t s_task_handle_isr = NULL;

// static void InitElog(void);
static void StartTasks(void);
static void Task10ms(void *param);
// static void TaskIsr(void *param);

int main(void)
{
    LED_Init();
    StartTasks();
    vTaskStartScheduler();
    while (true) {
    }
    return 0;
}

static void StartTasks(void)
{
    static StaticTask_t m_task_storage;
    static StackType_t m_task_stack[configMINIMAL_STACK_SIZE + 1024u];
    (void)xTaskCreateStatic(Task10ms,
                            "main",
                            sizeof(m_task_stack) / sizeof(m_task_stack[0]),
                            NULL,
                            3u,
                            m_task_stack,
                            &m_task_storage);
}

static void Task10ms(void *param)
{
    (void)param;
    TickType_t xLastWakeTime = xTaskGetTickCount();
    while (true) {
        vTaskDelayUntil(&xLastWakeTime, pdMS_TO_TICKS(10));
        LED_Test_Task10ms();
    }
}
